WABT(1) | General Commands Manual | WABT(1)

# NAME

wasm-objdump — print information about a wasm binary

# SYNOPSIS

wasm-objdump | [options] file ...

# DESCRIPTION

wasm-objdump prints information about a wasm binary, similar to objdump.
The options are as follows:

-h, --headers
  Print headers
-j, --section=SECTION
  Select just one section
-s, --full-contents
  Print raw section contents
-d, --disassemble
  Disassemble function bodies
--debug
  Print extra debug information
-x, --details
  Show section details
-r, --reloc
  Show relocations inline with disassembly
--help
  Print a help message

# EXAMPLES

`$ wasm-objdump test.wasm`

# SEE ALSO

wasm-interp(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

# BUGS

If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.

December 17, 2018 | Debian